package com.caimei365.manager.controller.caimei.user;


import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.ZylTicket;
import com.caimei365.manager.entity.caimei.ZylTicketDetail;
import com.caimei365.manager.service.caimei.user.ZylService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/user/zyl")
public class ZylTicketApi {

    @Resource
    private ZylService zylService;

    @GetMapping("/ticket/list")
    public ResponseJson<PaginationVo<ZylTicket>> getTicketList(String mobile,
                                                               @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                               @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return zylService.getTicketList(mobile,pageNum, pageSize);
    }

    @GetMapping("/ticket/detail")
    public ResponseJson<List<ZylTicketDetail>> getTicketDetail(Integer userId) {
        return zylService.getTicketDetail(userId);
    }

    @GetMapping("/update/gift")
    public ResponseJson updateGift(Integer userId) {
        return zylService.updateGift(userId);
    }


}
