package com.caimei365.manager.dao.product;

import com.caimei365.manager.entity.caimei.brand.CmBrand;
import com.caimei365.manager.entity.caimei.product.CmSecondHandDetail;
import com.caimei365.manager.entity.caimei.product.Product;
import com.caimei365.manager.entity.caimei.product.ProductImagePo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProductMapper {

    List<Product> findSecondList(Product product);

    List<CmBrand> brandList();

    void updateStatus(Product product);

    void updateShop(Product product);

    void updateSecondDetail(Product product);

    void updateOnlineDate(Product product);

    void updateSku(CmSecondHandDetail product);

    void updateSecond(CmSecondHandDetail product);

    void insertProductImage(ProductImagePo imagePo);

    void updateMainImage(@Param("productId") Integer productId, @Param("mainImage") String mainImage);

    void delProductImages(CmSecondHandDetail product);

    CmSecondHandDetail findSecondDetail(Integer productId);

    List<String> findProductImages(Integer productId);

    void updateProduct(CmSecondHandDetail product);
}
