package com.caimei365.manager.entity.caimei;

import lombok.Data;

import java.io.Serializable;
import java.util.List;


@Data
public class AddressSelectVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    private Integer id;
    /**
     * 名称
     */
    private String name;
    /**
     * 父级ID
     */
    private Integer parentId;
    /**
     * 子级列表
     */
    private List<AddressSelectVo> children;
    /**
     * 村镇名
     */
    private String town;
    /**
     * 城市名称
     */
    private String city;
    /**
     * 省份名称
     */
    private String province;
}
