package com.caimei365.manager.entity.caimei;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : hzg
 * @date : 2023/11/28
 */
@Data
public class CmKeywordInfo {

    private Integer id;
    /**
     * 标签库数据来源（1：手动添加；4：协销填写）
     */
    private Integer fromSearch;
    /**
     * 协销Id 当 fromSearch 为 4的时候有值
     */
    private Integer serviceProviderId;
    /**
     * 标签
     */
    @ExcelProperty("标签名")
    private String keyword;
    /**
     * 子标签
     */
    private List<CmKeywordSubtag> subtag;
    /**
     * 0：动态标签；1：静态标签
     */
    private Integer dynamicStatus;
    /**
     * 父标签 0 否 1 是
     */
    private Integer parentLabel;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 联动搜索状态：0未启用，1已启用
     */
    private Integer linkageStatus;
    /**
     * 0:已删除；1未删除
     */
    private Integer delFlag;
}
