package com.caimei365.manager.entity.caimei;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.io.Serializable;

/**
 * 二手小程序信息中心文章(CmSecondInfo)实体类
 *
 */
@Data
public class CmSecondInfo implements Serializable {
    private static final long serialVersionUID = -47250179645160397L;

    private Integer id;

    private String title;

    private String link;

    private String image;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date publishTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;
}

