package com.caimei365.manager.entity.caimei.cmUser;

import com.caimei365.manager.entity.caimei.CmShop;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/6
 */
@Data
public class CmShopAdvertisingImage {
    private Integer id;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * pc图片
     */
    private String pcImage;
    /**
     * 小程序图片
     */
    private String appImage;
    /**
     * 跳转链接
     */
    private String jumpLink;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 上下架状态 0 已上架 1 已下架
     */
    private Integer status;
    /**
     * 删除标记：0未删除，1已删除
     */
    private Integer delFlag;

    //点击量统计
    /** 开始点击量时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startPvCreateTime;
    /** 结束点击量时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endPvCreateTime;
    /** 点击量 */
    private Integer pv;
    /**
     * 供应商信息
     */
    private List<CmShopStatistics> shops;
}
