package com.caimei365.manager.entity.caimei.productArchive;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.io.Serializable;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;

/**
 * 商品资料文件对象 cm_product_archive_file
 *
 * @author Kaick
 * @date 2023-12-22
 */
@Accessors(chain  = true )
@Data
@Alias("CmProductArchiveFile")
public class CmProductArchiveFile implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 资料库内容id */
    private Integer archiveContentId;

    /** 文件名 */
    private String fileName;

    /** oss名称 */
    private String ossName;

    /** 水印oss名称 */
    private String waterOssName;

    /** oss链接 */
    private String ossUrl;

    /** 水印oss链接 */
    private String waterOssUrl;

    /** html链接\n */
    private String htmlUrl;

    /** 上传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date uploadTime;


}



