package com.caimei365.manager.entity.caimei.shopImport;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * Description  咨询数量
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Data
public class Remark {
    /**
     * 营销数据 id
     */
    private Integer marketReportId;
    /**
     * 日期
     */
    private String addTime;
    /**
     * 咨询数量
     */
    @ExcelProperty("咨询数量")
    private Integer remarkNumber;
    /**
     * 删除标记 0 未删除 1 已删除
     */
    @ExcelIgnore
    private String delFlag;
}
