package com.caimei365.manager.service.caimei;


import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.CmSecondInfo;

/**
 * 二手小程序信息中心文章(CmSecondInfo)表服务接口
 *
 * @author makejava
 * @since 2025-05-13 10:16:52
 */
public interface CmSecondInfoService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ResponseJson<CmSecondInfo> queryById(Integer id);

    /**
     * 分页查询
     * @return 查询结果
     */
    ResponseJson<PaginationVo<CmSecondInfo>> queryByPage(String title, int pageNum, int pageSize);

    /**
     * 新增数据
     *
     * @param cmSecondInfo 实例对象
     * @return 实例对象
     */
    ResponseJson insert(CmSecondInfo cmSecondInfo);

    /**
     * 修改数据
     *
     * @param cmSecondInfo 实例对象
     * @return 实例对象
     */
    ResponseJson update(CmSecondInfo cmSecondInfo);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    ResponseJson deleteById(Integer id);

}
