package com.caimei365.manager.service.caimei.product;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.brand.CmBrand;
import com.caimei365.manager.entity.caimei.product.CmSecondHandDetail;
import com.caimei365.manager.entity.caimei.product.Product;

import java.util.List;

public interface ProductService {

    ResponseJson<PaginationVo<Product>> secondProductList(Product product, int pageNum, int pageSize);

    ResponseJson<List<CmBrand>> brandList();

    ResponseJson updateStatus(Product product);

    ResponseJson updateShop(Product product);

    ResponseJson saveSecond(CmSecondHandDetail product);

    ResponseJson<CmSecondHandDetail> secondDetail(Integer productId);
}
