package com.caimei365.manager.service.caimei.providers;

import com.caimei365.manager.entity.caimei.providers.CmProvidersContract;

import java.util.List;

/**
 * Service接口
 *
 * @author Kaick
 * @date 2023-12-12
 */
public interface CmProvidersContractService
{
    /**
     * 通过对象查询列表
     *
     * @param cmProvidersContract
     * @return 集合
     */
    List<CmProvidersContract> getCmProvidersContractList(CmProvidersContract cmProvidersContract);

    /**
     * 通过Id查询
     *
     * @param id 主键
     * @return
     */
    CmProvidersContract getCmProvidersContractById(String id);

    /**
     * 通过对象查询
     *
     * @param cmProvidersContract
     * @return
     */
    CmProvidersContract getByCmProvidersContract(CmProvidersContract cmProvidersContract);


    /**
     * 新增
     *
     * @param cmProvidersContract
     * @return 结果
     */
    int addCmProvidersContract(CmProvidersContract cmProvidersContract);

    /**
     * 修改
     *
     * @param cmProvidersContract
     * @return 结果
     */
    int updateCmProvidersContract(CmProvidersContract cmProvidersContract);


}


