package com.caimei365.manager.controller.caimei;

import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.AddressSelectVo;
import com.caimei365.manager.service.caimei.AddressService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/area")
public class AreaApi {

    @Resource
    private AddressService addressService;

    @GetMapping("/select")
    public ResponseJson<List<AddressSelectVo>> getSelectAddress(Integer parentId, Integer type) {
        return addressService.getSelectAddress(parentId, type);
    }

}
