package com.caimei365.manager.entity.caimei;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Accessors(chain = true)
@Data
public class CmShop implements Serializable {

    private String password;

    private boolean flag;

    /**
     *  供应商类别 0未审核的二手供应商，普通1，新品供应商2，二手供应商3
     */
    private Integer shopType;
    /**
     * 简介
     */
    private String info;
    /**
     * 公司LOGO
     */
    private String logo;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 供应商ID
     */
    private Integer shopId;
    /**
     * 供应商公司名称
     */
    private String name;
    /**
     * 供应商公司简称
     */
    private String shortName;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 主打产品说明
     */
    private String productDesc;
    /**
     * 手机号
     */
    private String contractMobile;
    /**
     * 联系人邮箱
     */
    private String contractEmail;
    /**
     * 可用余额
     */
    private Double ableRebateAmount;
    /**
     * 供应商欠款金额
     */
    private Double rebateAmount;
    /**
     * 省
     */
    private Integer provinceId;
    /**
     * 市
     */
    private Integer cityId;
    /**
     * 所在县区Id
     */
    private Integer townId;
    /**
     * 省/市/区 拼接字符串 前端展示
     */
    private String cityShopForm;
    /**
     * 地址
     */
    private String address;
    /**
     * 统一社会信用代码
     */
    private String socialCreditCode;
    /**
     * 营业执照(businessLicenseImage)
     */
    private String businessLicenseImage;
    /**
     * 医疗=1和非医疗=2
     */
    private Integer firstShopType;
    /**
     * 医疗的二级分类 一类器械=1、二类器械 =2、三类器械=3、其他=4 /// 1和非医疗没有二级分类
     */
    private Integer secondShopType;
    /**
     * 主打项目(mainpro)
     */
    private String mainProduct;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 供应商状态： 90:已上线，91:已下线，92:审核不通过，3:待审核
     */
    private Integer status;
    /**
     * 如选择为医疗>>三类器械  则必须要上传资质
     */
    private String medicalPracticeLicenseImg1;
}
