package com.caimei365.manager.entity.caimei.cmUser;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/6
 */
@Data
public class CmShopInfo {
    private Integer id;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 营销商品id
     */
    private Integer shopProductId;
    /**
     * 文章Id
     */
    private Integer infoId;
    /**
     * 引导图
     */
    private String guidanceImage;
    /**
     * 标题
     */
    private String title;
    /**
     * 发布时间
     */
    private Date pubdate;
    /**
     * 发布时间格式化
     */
    private String pubdateString;
    /**
     * 统计状态 0 统计 1 不统计
     */
    private Integer status;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 删除标记：0未删除，1已删除
     */
    private Integer delFlag;
}
