package com.caimei365.manager.entity.caimei.page;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class NewPageZone implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer id;
    private String floorTitle;
    private String floorDetail;
    private Integer sort;
    // Pc端状态 0停用 1启用
    private Integer wwwEnabledStatus;
    // CRM端状态 0停用 1启用
    private Integer crmEnabledStatus;
    private String backColor;
    private String createBy;
    private String updateBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createDate;
}
