package com.caimei365.manager.entity.caimei.providers;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

@Accessors(chain = true)
@Data
public class ProviderTask {

    private Integer id;
    /**
     * 赏金
     */
    private String reward;
    /**
     * 富文本内容
     */
    private String content;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 任务商品Id
     */
    private Integer productId;

    private String mainImage;

    private String productName;
    /**
     * 标题
     */
    private String title;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    private String shopName;
    /**
     * 转发封面
     */
    private String topPic;
    /**
     * 任务状态 1未开始 2任务中 3任务过期
     */
    private Integer status;
}
