package com.caimei365.manager.entity.caimei.svip;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/11
 */
@Data
public class CmCouponAssociate {

    private Integer id;
    /**
     * 优惠券id
     */
    private Integer couponId;
    /**
     * 商品id(对应活动券)
     */
    private Integer productId;
    /**
     * pc状态 0停用 1启用
     */
    private String pcStatus;
    /**
     * 小程序状态 0停用 1启用
     */
    private String appletsStatus;
    /**
     * 供应商id(对应店铺券)
     */
    private Integer shopId;
    /**
     * 排序值
     */
    private Integer sort;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 删除标记 0否 其余是
     */
    private String delFlag;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品图片
     */
    private String mainImage;
    /**
     * 供应商名称
     */
    private String shopName;
}
